Subject: Re: [ppsp] FW: New Version Notification for draft-zeng-ppsp-protocol-pro-incentive-para-01

From: Kevin Zeng <[email-masked]>
Date: Tue, 02 Nov 2010 23:37:13 -0600

Dear Fabio,

I agree that none of the current incentive mechanisms
addresses all of the problems. 

Personally, I feel it is difficult to have a generic protocol that can address all the problems, and it is probably difficult to pick an existing incentive mechanism and standardize it. But I do think it is possible to identify the common parameters that are essential for most, if not all, variations of the incentive mechanisms. We can standardize the messaging protocol to support the exchange of those parameters, and hopefully also leave room for future extension if necessary. How exactly a particular incentive mechanism is going to use those parameters can be left unspecified.

I do believe the charter covers both live streaming and VoD. This should be clear if you look at the requirement document.

Best.

-Kevin

-----Original Message-----
From: Fabio Hecht [mailto:[email-masked]] 
Sent: Monday, October 25, 2010 3:21 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: [ppsp] FW: New Version Notification for draft-zeng-ppsp-protocol-pro-incentive-para-01

On Fri, 2010-10-22 at 17:56 -0500, Kevin Zeng wrote:
> Dear Fabio,
> 
> Thanks for your comments. Please see my response inline below, starting with [Kevin].
> 
> Best.
> 
> -Kevin
> 
> -----Original Message-----
> From: Fabio Hecht [mailto:[email-masked]] 
> Sent: Friday, October 22, 2010 8:18 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [ppsp] FW: New Version Notification for draft-zeng-ppsp-protocol-pro-incentive-para-01
> 
> 
> >Dear Kevin,
> 
> >the introduction says "What makes this problem particularly difficult is
> >the unique set of challenges that P2P systems pose: large populations,
> >high turnover, asymmetry of interest, collusion, zero-cost identities,
> >and traitors [RobustIncentives]." Then, it goes on by proposing that the
> >peers themselves declare how well they are uploading. If they want to
> >freeride, aren't they just going to lie about it?
> 
> [Kevin] Yes, peers in general are not necessarily trusted. Peer contribution however is an important metric for deriving a robust incentive-based system. There are probably different ways to measure peer contribution. Self-reporting with corroborating evidence provided by receiving peers may be one approach, in which case both self-reporting of uploading and corroborating reporting of downloading from other peers are necessary (the current draft proposes to have both BytesUploaded and ByteDownloaded). Another approach, as suggested in [Contracts], is to have the a reporting peer's BytesUploaded report (like a receipt) signed by receiving peers (so technically speaking it is not self-reporting any more). In BitTorrent, incentive is provided through tit-for-tat, in which bilateral interaction is used. However, tit-for-tat used in BitTorrent does not take into account the value of a specific trunk to be traded or the value of a peer to trade with measured at the swarm-level (vs simply bilateral).  To address this problem, other global parameters such as SeedNumber, PeerNumber, ChunkCopies need to be conveyed to the peers to allow peers to have a more global view in peer selection.  Section 7 has some initial discussion about trustworthiness and other security consideration. 

I agree, my point being that none of the current incentive mechanisms
addresses all of the problems cited above, i.e. if the peer self-reports
he may be lying, and if another peer reports, it may well be a Sybil or
colluding peer. Different mechanisms have been proposed but each one
require their own set of messages and are not compatible with one
another.

The questions then are: is it possible to have a generic protocol? If
not, what should be standardized?

> 
> >I also don't understand the meaning of "file". I thought PPSP was doing
> >live streaming, where the notion of file may not be clear. I imagine a
> >TV channel that has been broadcasting for years, the "total number of
> >chunks of a file that a peer has" may need to be adapted accordingly.
> 
> [Kevin] If I understand correctly, ppsp addresses streaming of both live and time-shifted content. For time-shifted content (e.g. VoD), file (and the total # of chucks) makes sense. For live streaming or TV channel, I agree that we need better definition. Maybe "file" is associated with a program or sub-program. I agree that in live streaming where the trading opportunity is more limited,  a different approach, e.g., based on global contribution measurement (e.g., through reporting of peer's BytesUploaded to tracker or other peers), could be more effective. 

Maybe the charter should be clearer in what they mean by time-shifted
content. Is it really VoD or just the ability of going back a short time
period from the live stream?

> 
> >Regards
> 
> >Fabio
> 
> 
> On Thu, 2010-10-21 at 19:16 -0500, Kevin Zeng wrote:
> > Dear all,
> > 
> > A new version of draft-zeng-ppsp-protocol-pro-incentive-para-01 has been submitted. It is accessible at http://www.ietf.org/id/draft-zeng-ppsp-protocol-pro-incentive-para-01.txt
> > 
> > This version incorporates a couple of more references, per suggestion by Richard (Yang), and adds Section 4.1 and 4.2 that describe suggested additions to the tracker protocol and peer protocol. In addition, some discussion of security considerations have also been added in Section 7. 
> > 
> > As incentive is an important part of the security requirements of a P2P streaming system, we are looking forward to hearing additional comments and suggestions.
> > 
> > Thanks.
> > 
> > -Kevin
> > 
> > -----Original Message-----
> > From: IETF I-D Submission Tool [mailto:[email-masked]] 
> > Sent: Thursday, October 21, 2010 6:48 PM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: New Version Notification for draft-zeng-ppsp-protocol-pro-incentive-para-01
> > 
> > 
> > A new version of I-D, draft-zeng-ppsp-protocol-pro-incentive-para-01.txt has been successfully submitted by Wenjun Zeng and posted to the IETF repository.
> > 
> > Filename:	 draft-zeng-ppsp-protocol-pro-incentive-para
> > Revision:	 01
> > Title:		 P2P Streaming Protocol Pro-incentive Parameters
> > Creation_date:	 2010-10-22
> > WG ID:		 Independent Submission
> > Number_of_pages: 11
> > 
> > Abstract:
> > This document analyzes the common parameters that are essential for
> > deriving incentive mechanisms to promote peer cooperation and system
> > robustness in a P2P system, and proposes to incorporate these pro-
> > incentive parameters in information exchanges in the P2P streaming
> > protocols to be specified, e.g., in the tracker protocol proposed in
> > [draft-gu-ppsp-tracker-protocol], and in the future in the peer
> > protocol proposed in [draft-gu-ppsp-peer-protocol].
> >                                                                                   
> > 
> > 
> > The IETF Secretariat.
> > 
> > 
> > 
> > 
> > _______________________________________________
> > ppsp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ppsp
> > 
> 

-- 
Fabio Hecht

University of Zurich - Department of Informatics (IfI)
Binzmühlestrasse 14 CH-8050 Zürich, Switzerland
Ph.: +41 44 6357129 / 6350892  Fax: +41 44 6356809
VoIP sip:[email-masked]